System Requirements

Salem Five is committed to providing its customers with the highest level of security available. In order to ensure that your information is protected, we require the use of 128-bit encryption with one of the following listed browsers:

Salem Five Online Banking
Browser and Operating System Updates effective August 16, 2015

Windows®
Operating System Microsoft Internet Explorer® Mozilla® Firefox Apple Safari® Google
Chrome™
Windows Vista® 9.0 36.0, 37.0 4.0, 5.0 38.0 - 39.0
Windows 7 10.0 - 11.0 36.0, 37.0 N/A 38.0 - 39.0
Windows 8 10.0 36.0, 37.0 N/A 38.0 - 39.0
Windows 8.1 11.0 36.0, 37.0 N/A 38.0 - 39.0
Macintosh®
Operating System Apple
Safari®
Mozilla Firefox® Google Chrome®
Mac OS X 10.9 (Mavericks) 7.0 36.0, 37.0 N/A
Mac OS X 10.10 (Yosemite) 7.0 36.0, 37.0 N/A
iPad® 7.1 N/A N/A
iPad® mini 7.1 N/A N/A
For maximum security, always use the latest version of the recommended browsers. Beta versions of browsers and operating systems are not supported. Cookies and JavaScript must be enabled. Other browsers may be used, however, they are not supported and some features may not function properly.

Recommended Browsers for Salemfive.com

When visiting our website, we recommend using the latest browser versions of Chrome, Firefox and Safari for the best browsing experience.  Internet Explorer Version 9 and above is recommended.  Older browsers may be used, however, they are not supported and some features may not function properly.

Browsers are free to download and use. To download a browser, select one of the following: